List the tests of an agent
curl --request GET \
--url https://api.starleads.co/AgentTest \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.starleads.co/AgentTest"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.starleads.co/AgentTest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"kind": "Simulation",
"name": "<string>",
"folderId": "<string>",
"lastRunId": "<string>",
"lastRunStatus": "Queued",
"lastRunAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Agent Tests
List the tests of an agent
Lists the tests of one of your agents with their latest run status. Use kind to keep only simulation or classification tests, and folderId on each test to know where it lives.
GET
/
AgentTest
List the tests of an agent
Authorizations
Headers
Api key to pass as a X-Api-Key request header.
Query Parameters
ID of the agent.
Only this kind of tests: Simulation or Classification. Omit for all.
Available options:
Simulation, Classification Response
Success
Available options:
Simulation, Classification Folder containing the test, null at the root
Most recent run of the test, any status
Available options:
Queued, Running, Passed, Failed, Error, Cancelled 
